MozillaZine

Extensions sudden become in compatible

User Help for Mozilla Firefox
stephm
 
Posts: 36
Joined: September 24th, 2004, 9:42 am

Post Posted February 7th, 2018, 2:50 pm

Recently, with Firefox 59, I have experienced all my extensions becoming disabled as incompatible.

When I reload the extension -- with exactly the same version (using downloaded files) -- the reinstall without complaint.

Anyone have any idea why Firefox would spontaneously decide that valid extensions are no longer valid?

DanRaisch
Moderator

User avatar
 
Posts: 120471
Joined: September 23rd, 2004, 8:57 pm
Location: Somewhere on the right coast

Post Posted February 7th, 2018, 3:26 pm

Legacy extensions have been incompatible since version 57 so it's surprising that you haven't noticed this previously. Only Web Extensions (using a different development model) can be used in Firefox versions 57 and above. viewtopic.php?f=38&t=3037817

Also, as version 58.0.2 is currently the newest release version, you seem to be using a beta version of the browser so extension compatibility would have potentially been problematic anyway. Is there are reason you are using a beta version?

stephm
 
Posts: 36
Joined: September 24th, 2004, 9:42 am

Post Posted February 7th, 2018, 9:56 pm

The extension in question _are_ web extensions, not legacy extensions. (I am not entirely stupid ;->.)

And the odd bit is that they first pass, and then don't pass the compatibility check.

I will check about the Firefox version -- I thought I was using the default version for Mac.

tomatoshadow2

User avatar
 
Posts: 358
Joined: May 11th, 2017, 9:52 am

Post Posted February 7th, 2018, 10:08 pm

What extensions are you using?

Return to Firefox Support


Who is online

Users browsing this forum: Google [Bot] and 6 guests